Bug 1266212 - No progress indicator when waiting for fusor-installer to finish up before it can be run again
No progress indicator when waiting for fusor-installer to finish up before it...
Status: CLOSED NOTABUG
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
high Severity unspecified
: ga
: 1.0
Assigned To: Jason Montleon
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 15:19 EDT by Matt Reid
Modified: 2016-04-29 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 16:21:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jmontleo: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2015-09-24 15:19:17 EDT
Description of problem:
We needed to re-run fusor-installer at one point. After fusor-installer returned us to a command prompt, we ran 'launch-fusor-installer' again, but apparently it wasn't done running, because we saw the message - "Please allow several minutes for fusor-installer to complete running."

There's no progress indicator or spinner or anything that keeps moving to help give you confidence that it's doing things in the background.

We ended up staring at that string for about 7 minutes before it finally continued and ran fusor-installer. Not sure why it took so long for things to settle before it could continue. 

Would that have been shorter if we hadn't used the launch-fusor-installer variant?

Version-Release number of selected component (if applicable):
Tech Preview

Additional info:
Comment 1 Jason Montleon 2015-10-23 09:13:17 EDT
That message is echoed to the terminal any time you run launch-fusor-installer. I believe it is meant to indicate that the fusor-installer task about to be kicked off is going to take several minutes.

If there is better wording we can use we can change it. Maybe something on the lines of, "fusor-installer is being launched. Please allow several minutes for it to complete running", or something along those lines..
Comment 2 Matt Reid 2015-10-30 09:05:03 EDT
Jason, when I saw that message, I thought it was basically saying that we were waiting for the previous run to finish up, before it would launch again. Once fusor-installer finally kicks off, you get output that it's doing stuff, but my issue is with the fact that all we had for the 7 minutes or so before it started was that string in the terminal, saying that we had to wait for it to finish running. A spinner or some progress indicator would help reinforce that things are working and haven't gotten stuck.

Do you know what it's doing at that point, when we output that string?
Comment 3 John Matthews 2016-02-15 16:21:46 EST
Matt in reply to comment #2, the launch-fusor-installer script doesn't do much besides invoking fusor-installer with a known password parameter.

There is no work being done to add a spinner or anything.

I suspect that the 7 minute delay you saw is related to the VM/console not refreshing, it's not related to any processing being done by the script.

launch-fusor-installer is just a wrapper around fusor-installer.

To be clear, when fusor-installer finishes it's 100% done, it can be immediately invokved if desired, there is no logic anywhere to detect it was running and wait for something to happen.


https://gitlab.sat.lab.tlv.redhat.com/rhci/bootiso/blob/master/experiments/InitialSetup/bin/launch-fusor-installer


Moving to CLOSED, please re-open if you would like us to change the wording or do something else.

Note You need to log in before you can comment on or make changes to this bug.